Announcement

Announcement Module
Collapse
No announcement yet.

RPM problem with Paracona Server 5.5 on RHEL 6(.2)

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • RPM problem with Paracona Server 5.5 on RHEL 6(.2)

    I just installed Paracona Server 5.5 on my RHEL 6.2 machine.. However there were some problems with the rpm.. I had to remove mysql-libs with nodeps to get it installed.. Now I've anded up with the following missing depencency:

    package-cleanup --problems
    Package postfix-2.6.6-2.2.el6_1.x86_64 requires libmysqlclient.so.16()(64bit)
    Package postfix-2.6.6-2.2.el6_1.x86_64 requires libmysqlclient.so.16(libmysqlclient_16)(64bit)
    Package postfix-2.6.6-2.2.el6_1.x86_64 requires mysql-libs
    Package perl-DBD-MySQL-4.013-3.el6.x86_64 requires libmysqlclient.so.16()(64bit)
    Package perl-DBD-MySQL-4.013-3.el6.x86_64 requires libmysqlclient.so.16(libmysqlclient_16)(64bit)

    RedHat have added those requirements for postfix and perl-DBD-MySQL. I see that /usr/lib64/libmysqlclient.so.18 is installed, however not libmysqlclient.so.16. Would it be possible to add to the rpm file that it provides this and mysql-libs? Or make a dummy package for those two requirements or something?

    I've installed:
    Percona-Server-client-55-5.5.21-rel25.0.227.rhel6.x86_64
    Percona-Server-shared-55-5.5.21-rel25.0.227.rhel6.x86_64
    percona-release-0.0-1.x86_64
    Percona-Server-server-55-5.5.21-rel25.0.227.rhel6.x86_64
    directly from percona repos..

  • #2
    Hi,

    You need to install the Percona-Server-shared-compat package.

    --Justin

    Comment


    • #3
      Doh!

      That fixed it yes

      Comment

      Working...
      X